Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Encode.pm) perl(File/ShareDir.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Term/ANSIColor.pm) perl(Try/Tiny.pm) perl(YAML/XS.pm) perl-podlators
# END SourceDeps(oneline)
# prints
%add_findreq_skiplist %_bindir/v*
%filter_from_requires /^perl.STD_P6.pm./d
%add_findreq_skiplist %perl_vendor_privlib/CursorBase.pm
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-STD
Version:        20101111
Release:        alt1_15
Summary:        The Standard Perl 6 Grammar
License:        Artistic 2.0
URL:            https://metacpan.org/release/STD
Source0:        https://cpan.metacpan.org/authors/id/S/SO/SOREAR/STD-%{version}.tar.gz
# Remove /usr/bin/env from shebang
Patch0:         STD-20101111-Remove-usr-bin-env-from-shebang.patch
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl
BuildRequires:  perl(base.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# No tests run
Requires:       perl(File/ShareDir.pm) >= 1.020
Provides:       perl(STD.pm) = %{version}

# Remove under-specified dependencies

# Remove private packages 

Source44: import.info
%filter_from_requires /^perl(File.ShareDir.pm)/d
%filter_from_requires /perl(mangle.pl\|STD_P5\|STD_P6\|RE_ast\|STD.Cursor.pm)/d

%description
%{summary}.

%prep
%setup -q -n STD-%{version}
%patch0 -p1

%build
perl Build.PL installdirs=core
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc LICENSE
%{perl_vendor_privlib}/*
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 20101111-alt1_15
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 20101111-alt1_14
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 20101111-alt1_13
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 20101111-alt1_12
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 20101111-alt1_10
- update to new release by fcimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 20101111-alt1_9
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 20101111-alt1_8
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 20101111-alt1_7
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 20101111-alt1_6
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 20101111-alt1_5
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 20101111-alt1_3
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 20101111-alt1_2
- update to new release by fcimport

* Fri Apr 04 2014 Igor Vlasenko <viy@altlinux.ru> 20101111-alt1_1
- import

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 32116-alt1_11
- update to new release by fcimport

* Mon Aug 05 2013 Igor Vlasenko <viy@altlinux.ru> 32116-alt1_10
- update to new release by fcimport

* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 32116-alt1_9
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 32116-alt1_8
- update to new release by fcimport

* Tue Jun 05 2012 Igor Vlasenko <viy@altlinux.ru> 32116-alt1_6
- fc import

